//main.c


#include <stdio.h>
#include <unistd.h>
#include <string.h>
#include <fcntl.h>
#include <time.h>
#include "i2c.h"
#include "oled096.h"
#include "main.h"

#define _slave_addr	0x3C

const uint8_t qwerty[] =
{
0xFF, 0xFF, 0xFF, 0x07, 0xAF, 0x07, 0xAF, 0x07, 0xAF, 0x07, 0xAF, 0x07, 0xAF, 0x07, 0xAF, 0x07, 0xAF, 0x07, 0xAF, 0x07, 0xAF, 0x07, 0xAF, 0x07, 0xAF, 0x07,
0xAF, 0x07, 0xAF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0xAA, 0x00, 0xAA, 0x00, 0xA8, 0x00, 0xAA, 0x00, 0xAA, 0x00, 0xAA, 0x00, 0xA8, 0x00, 0xAA,
0x00, 0xAA, 0x00, 0xAA, 0x00, 0xA8, 0x00, 0xAA, 0x00, 0xAA, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0xAA, 0x00, 0xAA, 0x00, 0xA8, 0x00, 0xAA, 0x00,
0xAA, 0x00, 0xAA, 0x00, 0xA8, 0x00, 0xAA, 0x00, 0xAA, 0x00, 0xAA, 0x00, 0xA8, 0x00, 0xAA, 0x00, 0xAA, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0xEA,
0xE0, 0xEA, 0xE0, 0xE8, 0xE0, 0xEA, 0xE0, 0xEA, 0xE0, 0xEA, 0xE0, 0xE8, 0xE0, 0xEA, 0xE0, 0xEA, 0xE0, 0xEA, 0xE0, 0xE8, 0xE0, 0xEA, 0xE0, 0xEA, 0xFF,
0xFF, 0xFF
};

int main(int argc, char* argv[])
{
	u_int8_t addr = 0;
	u_int8_t ddd[16] = {0x03,0x00,0x01,0xD0,0x0D,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF};
	u_int8_t dddr[256];
	int cnt = 0, cntrd;
	//
	printf("---TEST LCD 0,96'---\n");
	i2c_OPEN(_slave_addr);
	//
	printf("clear...\n");
	oledSetup();
	oledClear();
	oledUpdate();
	//
	printf("Set Pixel...\n");
	oledSetPixel(64,32);
	oledUpdate();
	//
	printf("Clear Pixel...\n");
	oledClrPixel(64,32);
	oledUpdate();
	//
	printf("Draw Line...\n");
	oledDrawLine(3,61,124,3);
	oledDrawLine(61,3,3,124);
	oledUpdate();
	//
	printf("Clr Line...\n");
	oledClrLine(3,61,124,3);
	oledClrLine(61,3,3,124);
	oledUpdate();
	//
	printf("Draw Rect...\n");
	oledDrawRect(1,1,60,60);
	oledDrawRect(10,35,40,52);
	oledUpdate();
	//
	printf("Clr Rect...\n");
	oledClrRect(1,1,60,60);
	oledClrRect(10,35,40,52);
	oledUpdate();
	//
	printf("Draw RoundRect...\n");
	oledDrawRoundRect(3,3,124,61);
	oledUpdate();
	//
	printf("Clr RoundRect...\n");
	oledClrRoundRect(3,3,124,61);
	oledUpdate();
	//
	printf("Draw RoundRect...\n");
	oledDrawCircle(64,32,20);
	oledUpdate();
	//
	printf("Clr RoundRect...\n");
	oledClrCircle(64,32,20);
	oledUpdate();
	//
	i2c_CLOSE();
	printf("end!\n");
	//
	return 0;
}

