//oled096.h

#ifndef _oled096_h_
#define _oled096_h_
#include <stdint.h>


#define SSD1306_COMMAND							0x00
#define SSD1306_DATA							0xC0
#define SSD1306_DATA_CONTINUE						0x40

#define RST_NOT_IN_USE							255
// SSD1306 Commandset
// ------------------
// Fundamental Commands
#define SSD1306_SET_CONTRAST_CONTROL					0x81
#define SSD1306_DISPLAY_ALL_ON_RESUME					0xA4
#define SSD1306_DISPLAY_ALL_ON						0xA5
#define SSD1306_NORMAL_DISPLAY						0xA6
#define SSD1306_INVERT_DISPLAY						0xA7
#define SSD1306_DISPLAY_OFF						0xAE
#define SSD1306_DISPLAY_ON						0xAF
#define SSD1306_NOP							0xE3
// Scrolling Commands
#define SSD1306_HORIZONTAL_SCROLL_RIGHT					0x26
#define SSD1306_HORIZONTAL_SCROLL_LEFT					0x27
#define SSD1306_HORIZONTAL_SCROLL_VERTICAL_AND_RIGHT			0x29
#define SSD1306_HORIZONTAL_SCROLL_VERTICAL_AND_LEFT			0x2A
#define SSD1306_DEACTIVATE_SCROLL					0x2E
#define SSD1306_ACTIVATE_SCROLL						0x2F
#define SSD1306_SET_VERTICAL_SCROLL_AREA				0xA3
// Addressing Setting Commands
#define SSD1306_SET_LOWER_COLUMN					0x00
#define SSD1306_SET_HIGHER_COLUMN					0x10
#define SSD1306_MEMORY_ADDR_MODE					0x20
#define SSD1306_SET_COLUMN_ADDR						0x21
#define SSD1306_SET_PAGE_ADDR						0x22
// Hardware Configuration Commands
#define SSD1306_SET_START_LINE						0x40
#define SSD1306_SET_SEGMENT_REMAP					0xA0
#define SSD1306_SET_MULTIPLEX_RATIO					0xA8
#define SSD1306_COM_SCAN_DIR_INC					0xC0
#define SSD1306_COM_SCAN_DIR_DEC					0xC8
#define SSD1306_SET_DISPLAY_OFFSET					0xD3
#define SSD1306_SET_COM_PINS						0xDA
#define SSD1306_CHARGE_PUMP						0x8D
// Timing & Driving Scheme Setting Commands
#define SSD1306_SET_DISPLAY_CLOCK_DIV_RATIO				0xD5
#define SSD1306_SET_PRECHARGE_PERIOD					0xD9
#define SSD1306_SET_VCOM_DESELECT					0xDB



extern uint8_t oledBuf[1024];
//
extern void oledCommand(uint8_t comm);
extern void oledData(uint8_t data);
extern void oledUpdate(void);
extern void oledClear(void); //Эта функция очищает дисплей.
extern void oledSetup(void);
//
extern void oledInvert(uint8_t mode);
//
extern void oledSetPixel(uint16_t x, uint16_t y);
extern void oledClrPixel(uint16_t x, uint16_t y);
extern void oledInvPixel(uint16_t x, uint16_t y);
extern void oledDrawHLine(int x, int y, int l);
extern void oledClrHLine(int x, int y, int l);
extern void oledDrawVLine(int x, int y, int l);
extern void oledClrVLine(int x, int y, int l);
extern void oledDrawLine(int x1, int y1, int x2, int y2);
extern void oledClrLine(int x1, int y1, int x2, int y2);
extern void oledDrawRect(int x1, int y1, int x2, int y2);
extern void oledClrRect(int x1, int y1, int x2, int y2);
extern void oledDrawRoundRect(int x1, int y1, int x2, int y2);
extern void oledClrRoundRect(int x1, int y1, int x2, int y2);
extern void oledDrawCircle(int x, int y, int radius);
extern void oledClrCircle(int x, int y, int radius);


#ifndef _sendTWIcommand
#define _sendTWIcommand oledCommand
#endif

#endif
  
